%define name	quodlibet
%define version	1.0
%define release %mkrel 3

Name: 	 	%{name}
Summary: 	Advanced, elegant jukebox style music player
Version: 	%{version}
Release: 	%{release}

Source:		http://www.sacredchao.net/~piman/software/%{name}-%{version}.tar.bz2
URL:		http://www.sacredchao.net/quodlibet/
License:	GPL
Group:		Sound
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	ImageMagick
BuildRequires:	python
BuildRequires:	pygtk2.0-devel
BuildRequires:	pyvorbis
BuildRequires:	gtk2-devel
BuildRequires:	desktop-file-utils
BuildRequires:	intltool
BuildRequires:	gstreamer0.10-python
BuildRequires:	mutagen
Requires:	python >= 2.5
Requires:	pygtk2.0
Requires:	python-ctypes
Requires:	pyvorbis
Requires:	gstreamer0.10-python
Requires:	python-feedparser
Requires:	mutagen
# for Replay Gain plugin
Requires:       vorbisgain
# for iPod device support
Requires:       python-gpod
# for CDDB plugin
Requires:       python-CDDB

%description
Quod Libet is a GTK+-based audio player written in Python. It's designed
around the idea that you know better than we do how to organize your music.
It lets you make playlists based on regular expressions (don't worry,
regular searches work too). It lets you display and edit any tags you want
in the file.

It supports Ogg Vorbis and MP3 by default, but other formats (FLAC, Musepack,
Wavepack, MPEG-4/AAC and MOD are available through gstreamer0.10 plugins.

Quod Libet easily scales to libraries of thousands of songs. It also supports
most of the features you expect from a modern media player, like Unicode
support, gapless playback, multimedia keys, and an OSD. 

%prep
%setup -q
perl -pi -e 's/lib\/quodlibet/%{_lib}\/quodlibet/' Makefile
perl -pi -e 's/^-intltool-merge.*//' Makefile
perl -pi -e 's/usr\/local/usr/g' Makefile

%build
pushd mmkeys
make mmkeyspy.c
CFLAGS="%{optflags}" %{__python} setup.py build
cp build/lib*/mmkeys.so ../_mmkeys.so
popd

%make
%make extensions

%install
rm -rf $RPM_BUILD_ROOT
export PATH=/usr/bin:/usr/sbin:/bin:/sbin
#DESTDIR=%buildroot make install
%ifarch x86_64 ppc64
make install PREFIX=/usr TODEP=lib64/quodlibet DESTDIR=%{buildroot}
%else
make install PREFIX=/usr TODEP=lib/quodlibet DESTDIR=%{buildroot}
%endif

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="%{name}.png" needs="x11" title="Quod Libet" longtitle="Advanced music player" section="Multimedia/Sound" xdg="true"
?package(%{name}): command="exfalso" icon="exfalso.png" needs="x11" title="Ex Falso" longtitle="Music tag editor" section="Multimedia/Sound" xdg="true"
EOF

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="AudioPlayer" \
  --add-category="AudioVideo;Audio;Player" \
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 %name.png $RPM_BUILD_ROOT/%_liconsdir/%name.png
convert -size 48x48 exfalso.png $RPM_BUILD_ROOT/%_liconsdir/exfalso.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 %name.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
convert -size 32x32 exfalso.png $RPM_BUILD_ROOT/%_iconsdir/exfalso.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 %name.png $RPM_BUILD_ROOT/%_miconsdir/%name.png
convert -size 16x16 exfalso.png $RPM_BUILD_ROOT/%_miconsdir/exfalso.png

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root)
%doc NEWS README
%{_bindir}/%name
%{_bindir}/exfalso
%{_datadir}/%name
%{_mandir}/man1/*
%{_libdir}/%name
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_menudir}/%name
%{_liconsdir}/%name.png
%{_liconsdir}/exfalso.png
%{_iconsdir}/%name.png
%{_iconsdir}/exfalso.png
%{_miconsdir}/%name.png
%{_miconsdir}/exfalso.png




%changelog
* Thu Jun 07 2007 Anssi Hannula <anssi@mandriva.org> 1.0-3mdv2008.0
+ Revision: 36196
- rebuild with correct optflags

* Tue Jun 05 2007 Jérôme Soyer <saispo@mandriva.org> 1.0-2mdv2008.0
+ Revision: 35798
- Add Requires

* Tue Jun 05 2007 Jérôme Soyer <saispo@mandriva.org> 1.0-1mdv2008.0
+ Revision: 35786
- New release 1.0
- New release
- New release

  + Austin Acton <austin@mandriva.org>
    - new version


* Sun Mar 04 2007 Emmanuel Andry <eandry@mandriva.org> 0.24-2mdv2007.0
+ Revision: 132106
- forgot xdg tag

* Wed Feb 28 2007 Emmanuel Andry <eandry@mandriva.org> 0.24-2mdv2007.1
+ Revision: 129304
- buildrequires gstreamer0.10-python
- buildrequires mutagen

* Tue Feb 27 2007 Emmanuel Andry <eandry@mandriva.org> 0.24-1mdv2007.1
+ Revision: 126756
- buildrequires intltool

  + Jérôme Soyer <saispo@mandriva.org>
    - New release 0.24
    - Import quodlibet

* Sun Sep 17 2006 Emmanuel Andry <eandry@mandriva.org> 0.23.1-1mdv2007.0
- New release 0.23.1
- xdg menu

* Fri Jul 07 2006 Austin Acton <austin@mandriva.org> 0.22-1mdv2007.0
- New release 0.22

* Fri Jun 16 2006 Jerome Soyer <saispo@mandriva.org> 0.21.1-1mdv2007.0
- New release 0.21.1

* Mon Jun 12 2006 Jerome Soyer <saispo@mandriva.org> 0.21-1mdk
- New release 0.21

* Wed May 03 2006 Austin Acton <austin@mandriva.org> 0.20-1mdk
- New release 0.20

* Thu Apr 06 2006 Austin Acton <austin@mandriva.org> 0.19.1-1mdk
- New release 0.19.1

* Tue Apr 04 2006 Austin Acton <austin@mandriva.org> 0.19-1mdk
- 0.19
- remove pymad
- require mutagen

* Fri Mar 03 2006 Austin Acton <austin@mandriva.org> 0.18-1mdk
- New release 0.18
- gstreamer0.10 required
- change buildrequires and description

* Sat Feb 11 2006 Michael Scherer <misc@mandriva.org> 0.17.1-1mdk
- New release 0.17.1

* Sun Jan 15 2006 Austin Acton <austin@mandriva.org> 0.16-1mdk
- New release 0.16

* Thu Nov 17 2005 Lenny Cartier <lenny@mandriva.com> 0.15-1mdk
- 0.15

* Mon Nov 07 2005 Austin Acton <austin@mandriva.org> 0.14-3mdk
- requires and buildrequires

* Sun Nov 06 2005 Austin Acton <austin@mandriva.org> 0.14-2mdk
- build binary extensions; move out of noarch

* Thu Oct 27 2005 Lenny Cartier <lenny@mandriva.com> 0.14-1mdk
- 0.14

* Wed Oct 12 2005 Austin Acton <austin@mandriva.org> 0.13.1-2mdk
- requires gstreamer-python

* Wed Oct 05 2005 Austin Acton <austin@mandriva.org> 0.13.1-1mdk
- New release 0.13.1

* Mon Aug 15 2005 Austin Acton <austin@mandriva.org> 0.12-1mdk
- initial package

